Bug 93716 - FILESAVE (HTML): handles weak bidi characters as strong ones
Summary: FILESAVE (HTML): handles weak bidi characters as strong ones
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 63927
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2015-08-27 15:31 UTC by Lior Kaplan
Modified: 2019-10-01 03:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
testdoc, same as in #63927 (11.48 KB, application/vnd.oasis.opendocument.text)
2015-08-27 15:31 UTC, Lior Kaplan
Details
Output of file export (3.06 KB, text/html)
2015-08-27 15:32 UTC, Lior Kaplan
Details
Output of save as HTML (2.46 KB, text/html)
2015-08-27 15:35 UTC, Lior Kaplan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2015-08-27 15:31:47 UTC
Created attachment 118223 [details]
testdoc, same as in #63927

This is a follow up for Bug #63927, as the problem still happens when using save as (while it's fixed for export).
Comment 1 Lior Kaplan 2015-08-27 15:32:42 UTC
Created attachment 118224 [details]
Output of file export
Comment 2 Lior Kaplan 2015-08-27 15:35:02 UTC
Created attachment 118225 [details]
Output of save as HTML

Attached output of export (with LibO 5.0.1), comparing to save as HTML. The problem as described in bug #63927 still happens while doing save as HTML.
Comment 3 QA Administrators 2016-09-20 10:29:06 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2017-06-08 09:05:48 UTC
You can't confirm your own bugs.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 5 Omer Zak 2017-11-09 10:50:05 UTC
Still happens in:

Version: 6.0.0.0.alpha1+
Build ID: 6070dec9ca9a15587a2aece81f9ae1ab5ac0f8c4
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group
(Build from 2017-Nov-05 00:00)

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)



Instructions:
After loading the sample file, perform:

1. File > Export...
  And select the format as XHTML (.html; .xhtml)

and

2. File > Save as...
  And select the format as HTML Document (Writer) (.html)

3. Compare the exported files' contents.
Comment 6 QA Administrators 2018-05-30 16:40:15 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2018-07-03 14:20:08 UTC Comment hidden (obsolete)
Comment 8 Lior Kaplan 2018-09-30 15:43:49 UTC
Still happens in 

Version: 6.1.1.2
Build ID: 1:6.1.1-1
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 9 QA Administrators 2019-10-01 03:02:23 UTC
Dear Lior Kaplan,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug